### Enumeration

# Secret ServiceFlags

#### Declaration

    flags Secret.ServiceFlags

#### Description [src]

Flags which determine which parts of the `SecretService` proxy are initialized during a `secret_service_get()` or `secret_service_open()` operation.

#### Members

`SECRET_SERVICE_NONE`

  No flags for initializing the `SecretService`.

  - Value: `0`
  - Available since: 1
`SECRET_SERVICE_OPEN_SESSION`

  Establish a session for transfer of secrets while initializing the `SecretService`.

  - Value: `2`
  - Available since: 1
`SECRET_SERVICE_LOAD_COLLECTIONS`

  Load collections while initializing the `SecretService`.

  - Value: `4`
  - Available since: 1